> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/schedule-export-schedule.md).

# Schedule/Export Schedule

## GET /v4/schedules/{scheduleID}/ical-link

> Get Schedule ICal Link

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Schedule/Export Schedule"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.ICalLinkResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V4.ICalLink"}]},"V4.ICalLink":{"type":"object","properties":{"iCalLink":{"type":"string"},"iCalLinkForMyOnCalls":{"type":"string"}}},"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}}}},"paths":{"/v4/schedules/{scheduleID}/ical-link":{"get":{"operationId":"Export_getScheduleIcalLink","summary":"Get Schedule ICal Link","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}},{"name":"myOnCall","in":"query","required":true,"schema":{"type":"boolean"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.ICalLinkResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Schedule/Export Schedule"]}}}}
```

## POST /v4/schedules/{scheduleID}/ical-link

> Create Schedule ICal Link

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Schedule/Export Schedule"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.ICalLinkResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V4.ICalLink"}]},"V4.ICalLink":{"type":"object","properties":{"iCalLink":{"type":"string"},"iCalLinkForMyOnCalls":{"type":"string"}}},"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}}}},"paths":{"/v4/schedules/{scheduleID}/ical-link":{"post":{"operationId":"Export_createScheduleIcalLink","summary":"Create Schedule ICal Link","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}},{"name":"myOnCall","in":"query","required":true,"schema":{"type":"boolean"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.ICalLinkResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Schedule/Export Schedule"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object"}}}}}}}}
```

## DELETE /v4/schedules/{scheduleID}/ical-link

> Delete ICal Link

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Schedule/Export Schedule"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}}}},"paths":{"/v4/schedules/{scheduleID}/ical-link":{"delete":{"operationId":"Export_deleteIcalLink","summary":"Delete ICal Link","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}},{"name":"myOnCall","in":"query","required":true,"schema":{"type":"boolean"},"explode":false}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Schedule/Export Schedule"]}}}}
```

## PATCH /v4/schedules/{scheduleID}/ical-link

> Refresh Schedule ICal Link

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Schedule/Export Schedule"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.ICalLinkResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V4.ICalLink"}]},"V4.ICalLink":{"type":"object","properties":{"iCalLink":{"type":"string"},"iCalLinkForMyOnCalls":{"type":"string"}}},"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}}}},"paths":{"/v4/schedules/{scheduleID}/ical-link":{"patch":{"operationId":"Export_refreshScheduleIcalLink","summary":"Refresh Schedule ICal Link","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}},{"name":"myOnCall","in":"query","required":true,"schema":{"type":"boolean"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.ICalLinkResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Schedule/Export Schedule"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object"}}}}}}}}
```
